
%global meadversion 1.3.8
%global namedversion 1.3.8.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jettison}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.3.8.redhat-1

Name:           %{?scl_prefix}jettison
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jettison
Group:          Development/Java

%if %with mead
Source100: jettison-1.3.8.redhat-1-scm-sources.zip
Source102: jettison-1.3.8.redhat-1-sources.jar
Source103: jettison-1.3.8.redhat-1-javadoc.jar
Source104: jettison-1.3.8.redhat-1.pom
Source105: jettison-1.3.8.redhat-1-project-sources.tar.gz
Source106: jettison-1.3.8.redhat-1.jar
%endif

License:        ASL 2.0
URL:            https://svn.codehaus.org/jettison/tags/jettison-1.3.3
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
A StAX implementation for JSON.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jettison
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jettison -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}.jar %{buildroot}%{_javadir}/jettison-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jettison-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jettison-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jettison-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jettison-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jettison-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jettison-%{namedversion} -x META-INF/\*
%{__ln_s} jettison-%{namedversion} %{buildroot}%{_javadocdir}/jettison
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/jettison-%{namedversion}.jar
%{_javadir}/jettison.jar
%if %with javadoc
%{_javadir}/jettison-%{namedversion}-javadoc.jar
%{_javadir}/jettison-javadoc.jar
%endif
%{_javadir}/jettison-%{namedversion}-sources.jar
%{_javadir}/jettison-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jettison-%{namedversion}
%{_javadocdir}/jettison
%endif

%changelog
* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 1.3.8-2.redhat_1.1
- Rewrap for 7.2.0

* Tue Feb 07 2017 Petr Sakar <psakar@redhat.com> - 1.3.8-1.redhat_1.1
- upgrade to 1.3.8.redhat-1

* Wed Sep 23 2015 David Walluck <dwalluck@redhat.com> - 1.3.3-3.redhat_2.1
- update manifests

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.3.3-2.redhat_1.1
- Re-wrap to include RHEL-6

* Thu Apr 30 2015 David Walluck <dwalluck@redhat.com> - 1.3.3-1.redhat_1.1
- rebuild to fix version

* Wed Apr 29 2015 David Walluck <dwalluck@redhat.com> - 1.3-1.3.2
- release

